Microsoft XML Parser (MSXML) and XML Core Services Unsupported

Haikes 21 Reputation points
2022-11-01T20:31:23.327+00:00

This is the vulnerability flagged on systems with WIN10 Pro.

  1. Can we go ahead and remove MSXML 4.0 SP2 parser and SDK from control panel to mitigate? Without any issues?
  2. Does it require any latest version to be installed on Windows 10 systems? Or it's not required?
Windows 10 Security
Windows 10 Security
Windows 10: A Microsoft operating system that runs on personal computers and tablets.Security: The precautions taken to guard against crime, attack, sabotage, espionage, or another threat.
2,805 questions
0 comments No comments
{count} votes

Accepted answer
  1. Yitzhak Khabinsky 25,376 Reputation points
    2022-11-01T20:50:06.147+00:00

    Hi @Haikes ,

    It depends...
    You need to check and test the applications that are running on the machine.

    For example, the latest Microsoft SQL Server Management Studio (SSMS) v.18.12.1 is still dependent on the MSXML 3.0 Please see below.

    Just testing will reveal any dependencies on removal of the XML libraries.

    256235-screenshot-2022-11-01-164531.png


0 additional answers

Sort by: Most helpful